%define debug_package %{nil}
%define builtin_release_version 8 
%define base_release_version 8
%define variant_titlecase Server
%define variant_lowercase server
%define builtin_release_upd 5
%define builtin_release_variant %{builtin_release_upd}
%define full_release_version %{builtin_release_version}.%{builtin_release_variant}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define cpe_name cpe:/o:oracle:linux:%{builtin_release_version}:%{builtin_release_upd}:server 
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: Oracle Linux 8 release file
Name: oraclelinux-release
Version: %{builtin_release_version}.%{builtin_release_upd}
Release: 1.0.8%{?dist}
Epoch: 8
License: GPL
Group: System Environment/Base
Provides:       system-release = %{version}-%{release}
Provides:       system-release(releasever) = %{base_release_version}
Provides:       base-module(platform:el%{base_release_version})
Source: oraclelinux-release-%{builtin_release_version}.tar.gz
Source1: releasenotes.html 
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de comps rpmdb-redhat fedora-release
Obsoletes: tao-release whitebox-release oracle-release
Obsoletes: redhat-release-client redhat-release-computenode redhat-release-webserver redhat-release-workstation
buildrequires: python3
Requires: redhat-release-server

BuildRoot: %{_tmppath}/redhat-release-root

%description
System release and information files

%prep
%setup -q -n oraclelinux-release-%{builtin_release_version}

%build 
echo OK 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "Oracle Linux Server release %{full_release_version}" > $RPM_BUILD_ROOT/etc/oracle-release
ln -s oracle-release $RPM_BUILD_ROOT/etc/system-release
echo "Red Hat Enterprise Linux release %{full_release_version} (Ootpa)" > $RPM_BUILD_ROOT/etc/redhat-release

# create /etc/os-release
cat << EOF >>$RPM_BUILD_ROOT/etc/os-release
NAME="Oracle Linux Server"
VERSION="%{full_release_version}"
ID="ol"
ID_LIKE="fedora"
VARIANT="%{variant_titlecase}"
VARIANT_ID="%{variant_lowercase}"
VERSION_ID="%{version}"
PLATFORM_ID="platform:el%{base_release_version}"
PRETTY_NAME="Oracle Linux Server %{full_release_version}"
ANSI_COLOR="0;31"
CPE_NAME="%{cpe_name}"
HOME_URL="https://linux.oracle.com/"
BUG_REPORT_URL="https://bugzilla.oracle.com/"

ORACLE_BUGZILLA_PRODUCT="Oracle Linux 8"
ORACLE_BUGZILLA_PRODUCT_VERSION=%{version}
ORACLE_SUPPORT_PRODUCT="Oracle Linux"
ORACLE_SUPPORT_PRODUCT_VERSION=%{version}
EOF


# write cpe to /etc/system-release-cpe
echo "%{cpe_name}" > $RPM_BUILD_ROOT/etc/system-release-cpe

# create /etc/issue and /etc/issue.net
echo '\S' > $RPM_BUILD_ROOT/etc/issue
echo 'Kernel \r on an \m' >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

#mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
#for file in *.repo; do
#  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
#done

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done

# set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%rhel 8
%%dist .el8
%%el8 1
%%oraclelinux 8
%%ol8 1
EOF

# use unbranded datadir
mkdir -p -m 755 $RPM_BUILD_ROOT/%{_datadir}/oraclelinux-release
install -m 644 EULA $RPM_BUILD_ROOT/%{_datadir}/oraclelinux-release

# use unbranded docdir
mkdir -p -m 755 $RPM_BUILD_ROOT/%{_docdir}/oraclelinux-release
install -m 644 GPL $RPM_BUILD_ROOT/%{_docdir}/oraclelinux-release
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_docdir}/oraclelinux-release

# add /etc/sysconfig/64bit_strstr_via_64bit_strstr_sse2_unaligned, bug 24157#6
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/
touch $RPM_BUILD_ROOT/etc/sysconfig/64bit_strstr_via_64bit_strstr_sse2_unaligned

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%attr(0644,root,root) /etc/oracle-release
/etc/system-release
#%doc EULA GPL enterprisedocs-man.css autorun-template 
%{_docdir}/oraclelinux-release/*
%{_datadir}/oraclelinux-release/*
/etc/os-release
%config %attr(0644,root,root) /etc/system-release-cpe 
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/eula/eula.*
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
/etc/rpm/macros.dist
#/etc/yum.repos.d/*
%attr(0644,root,root) /etc/sysconfig/64bit_strstr_via_64bit_strstr_sse2_unaligned

%changelog
* Fri Jan 21 2022 David Sloboda <david.x.sloboda@oracle.com> - 8.5-1.0.8
- Add Provides for base-module platform [Orabug: 33754707]

* Mon Nov 15 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.5-1.0.7
- Updated Release Notes for 8.5 GA.

* Fri Nov 12 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.5-1.0.6
- Updated Release Notes for 8.5 GA.

* Wed Nov 10 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.5-1.0.5
- Initial Release Notes for 8.5 GA.

* Wed Nov 03 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.5-1.0.4
- Updated Release Notes for 8.5 Beta.

* Mon Oct 25 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.5-1.0.3
- Updated Release Notes for 8.5 Beta.

* Fri Oct 15 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.5-1.0.2
- Updated Release Notes for 8.5 Beta.

* Wed Oct 06 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.5-1.0.1
- Initial Release Notes for 8.5 Beta.

* Wed May 19 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.4-1.0.4
- Updated Release Notes for 8.4 GA.

* Wed May 12 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.4-1.0.3
- Updated Release Notes for 8.4 Beta.

* Tue Apr 27 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.4-1.0.2
- Updated Release Notes for 8.4 Beta.

* Tue Apr 20 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.4-1.0.1
- Initial Release Notes for 8.4 Beta.

* Thu Nov 05 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.3-1.0.4
- Updated Release Notes for 8.3 GA.

* Thu Oct 15 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.3-1.0.3
- Updated Release Notes for 8.3 Beta.

* Thu Sep 10 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.3-1.0.2
- Updated Release Notes for 8.3 Beta.

* Fri Jul 31 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.3-1.0.1
- Initial Release Notes for 8.3 Beta.

* Mon May 04 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.2-1.0.8
- Updated Release Notes for 8.2 GA.

* Fri May 01 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.2-1.0.7
- Updated Release Notes for 8.2 GA.

* Thu Apr 30 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.2-1.0.6
- Updated Release Notes for 8.2 GA.

* Wed Apr 22 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.2-1.0.5
- Updated Release Notes for 8.2 Beta.

* Mon Apr 20 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.2-1.0.4
- Updated Release Notes for 8.2 Beta.

* Tue Apr 14 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.2-1.0.3
- Updated Release Notes for 8.2 Beta.

* Tue Mar 10 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.2-1.0.2
- Updated Release Notes for 8.2 Beta.

* Fri Feb 21 2020 Alan Steinberg <alan.steinberg@oracle.com> - 8.2-1.0.1
- Initial Release Notes for 8.2 Beta.

* Sun Nov 10 2019 Alan Steinberg <alan.steinberg@oracle.com> - 8.1-1.0.7
- Updated Release Notes for 8.1 GA.

* Wed Nov 06 2019 Alan Steinberg <alan.steinberg@oracle.com> - 8.1-1.0.6
- Updated Release Notes for 8.1 GA.

* Wed Oct 02 2019 Alan Steinberg <alan.steinberg@oracle.com> - 8.1-1.0.5
- Updated EULA.
- Additional updates of Release Notes for 8.1 Beta.

* Fri Sep 20 2019 Alan Steinberg <alan.steinberg@oracle.com> - 8.1-1.0.4
- Minor updates of Release Notes for 8.1 Beta.

* Fri Sep 20 2019 Alan Steinberg <alan.steinberg@oracle.com> - 8.1-1.0.3
- Additional updates of Release Notes for 8.1 Beta, including UEK6 information.

* Wed Sep 11 2019 Alan Steinberg <alan.steinberg@oracle.com> - 8.1-1.0.2
- Additional updates of Release Notes for 8.1 Beta

* Tue Aug 27 2019 Alan Steinberg <alan.steinberg@oracle.com> - 8.1-1.0.1
- Initial Release Notes for 8.1 Beta
- Removed obsolete keys [Orabug: 30067032]

* Tue Jul 09 2019 Tianyue Lan <tianyue.lan@oracle.com> - 8.0-1.0.14
- Add ID_LIKE="fedora" into os-release [Orabug: 30027915]

* Tue Jul 09 2019 Alan Steinberg <alan.steinberg@oracle.com>  - 8.0-1.0.13
- Final update of Release Notes for 8.0 GA

* Mon Jul 08 2019 Alan Steinberg <alan.steinberg@oracle.com>  - 8.0-1.0.12
- Final update of Release Notes for 8.0 GA

* Fri Jul 05 2019 Alan Steinberg <alan.steinberg@oracle.com>  - 8.0-1.0.11
- Final update of Release Notes for 8.0 GA

* Tue Jun 18 2019 Alan Steinberg <alan.steinberg@oracle.com>  - 8.0-1.0.10
- Additional updates of Release Notes for 8.0 GA

* Tue Jun 11 2019 Alan Steinberg <alan.steinberg@oracle.com>  - 8.0-1.0.9
- Additional updates of Release Notes for 8.0 GA

* Thu Jun 06 2019 Alan Steinberg <alan.steinberg@oracle.com>  - 8.0-1.0.8
- Additional updates of Release Notes for 8.0 GA

* Thu May 30 2019 Alan Steinberg <alan.steinberg@oracle.com>  - 8.0-1.0.7
- Additional updates of Release Notes for 8.0 GA

* Tue May 28 2019 Alan Steinberg <alan.steinberg@oracle.com>  - 8.0-1.0.6
- Updated Release Notes for 8.0 GA

* Fri May 24 2019 Livy Ge <livy.ge@oracle.com>  - 8.0-1.0.5
- Update Release Notes for 8.0 GA

* Fri Apr 12 2019 Jacob Wang <jacob.wang@oracle.com> - 8.0-1.0.4
- Update RPM-GPG-KEY-oracle and RPM-GPG-KEY [Orabug: 29545731] (alexey.petrenko@oracle.com) 

* Wed Mar 27 2019 Alan Steinberg <alan.steinberg@oracle.com> - 8.0-1.0.3
- Updated Release Notes for 8.0 Beta

* Thu Mar 07 2019 Alan Steinberg <alan.steinberg@oracle.com> - 8.0-1.0.2
- Updated Release Notes for 8.0 Beta
- Added PLATFORM_ID (jacob.wang@oracle.com)

* Mon Jan 14 2019 Kevin Lyons <kevin.x.lyons@oracle.com> - 8.0-1.0.1
- Update for Oracle Linux 8.

* Fri Nov 02 2018 Alan Steinberg <alan.steinberg@oracle.com> - 7.6-1.0.15
- Updated Release Notes for 7.6 GA

* Thu Nov 01 2018 Alan Steinberg <alan.steinberg@oracle.com> - 7.6-1.0.13
- Updated Release Notes for 7.6 GA

* Tue Oct 09 2018 Alan Steinberg <alan.steinberg@oracle.com> - 7.6-1.0.11
- Updated Release Notes for additional drop of 7.6 Beta

* Thu Oct 04 2018 Alan Steinberg <alan.steinberg@oracle.com> - 7.6-1.0.9
- Updated Release Notes for 7.6 GA

* Thu Sep 27 2018 Jingdong Lu <jingdong.lu@oracle.com> - 7.6-1.0.7
- Add VARIANT and VARIANT_ID into /etc/os-release [OraBug: 28708117]

* Thu Sep 20 2018 Alan Steinberg <alan.steinberg@oracle.com> - 7.6-1.0.5
- Additional updated Release Notes for 7.6 Beta

* Fri Sep 14 2018 Alan Steinberg <alan.steinberg@oracle.com> - 7.6-1.0.3
- Updated Release Notes for 7.6 Beta

* Fri Aug 24 2018 Livy Ge <livy.ge@oracle.com> - 7.6-1.0.1
- Update for 7.6 Beta

* Mon Apr 30 2018 Keshav harma <keshav.sharma@oracle.com> - 7.5-1.0.5
- Added Provides system-release

* Thu Apr 12 2018 Alan Steinberg <alan.steinberg@oracle.com> - 7.5-1.0.3
- Updated Release Notes for 7.5 GA

* Fri Mar 23 2018 Alan Steinberg <alan.steinberg@oracle.com> - 7.5-1.0.2
- Updated Release Notes for 7.5 Beta

* Mon Feb 05 2018 Srinivas Maturi <srinivas.maturi@oracle.com> - 7.5-1.0.1
- Update for 7.5 Beta

* Fri Aug 04 2017 Tianyue Lan <tianyue.lan@oracle.com> - 7.4-1.0.4
- Update Release Note for 7.4 GA

* Thu Aug 03 2017 Tianyue Lan <tianyue.lan@oracle.com> - 7.4-1.0.3
- Update Release Note for 7.4 GA

* Wed Jul 26 2017 Tianyue Lan <tianyue.lan@oracle.com> - 7.4-1.0.2
- Update Release Note for 7.4

* Wed May 31 2017 Livy Ge <livy.ge@oracle.com> - 7.4-1.0.1
- Update for 7.4 Beta

* Mon Nov 07 2016 Srinivas Maturi <srinivas.maturi@oracle.com> - 7.3-1.0.4
- Update Release Note

* Fri Nov 04 2016 Srinivas Maturi <srinivas.maturi@oracle.com> - 7.3-1.0.3
- Update Release Note for 7.3 GA

* Wed Sep 28 2016 Jingdong Lu <jingdong.lu@oracle.com> - 7.3-1.0.2
- Add empty file 64bit_strstr_via_64bit_strstr_sse2_unaligned [24157#6] (Jose)

* Fri Sep  2 2016 Livy Ge <livy.ge@oracle.com> - 7.3-1.0.1
- Update for 7.3Beta 

* Wed Nov 25 2015 Tianyue Lan <tianyue.lan@oracle.com> - 7.2-1.0.5
- Update Release Note for 7.2 GA

* Sun Nov 22 2015 Srinivas Maturi <srinivas.maturi@oracle.com> - 7.2-1.0.4
- Update Release Note for 7.2 GA

* Sat Nov 21 2015 Tianyue Lan <tianyue.lan@oracle.com> - 7.2-1.0.3
- Updated for 7.2 GA

* Thu Oct 01 2015 Tianyue Lan <tianyue.lan@oracle.com> - 7.2-1.0.2
- New EULA [21920640]

* Fri Sep 25 2015 Jingdong Lu <jingdong.lu@oracle.com> - 7.2-1.0.1
- Updated for 7.2 Beta

* Mon Sep 21 2015 Ilya Okomin <ilya.okomin@oracle.com> - 7.1-1.0.7
- OL CPE name edition fix (Avi Miller) [bugz 21093]

* Thu Jul 09 2015 Jingdong Lu <jingdong.lu@oracle.com> - 7.1-1.0.6
- Add Oracle Linux specific RPM macros (Avi Miller) [21388403] 

* Thu Mar 05 2015 Srinivas Maturi <srinivas.maturi@oracle.com> - 7.1-1.0.5
- Updated for 7.1
- Update release notes (gavin.bowe@oracle.com)

* Thu Jan 29 2015 Tianyue Lan <tianyue.lan@oracle.com> - 7.1-1.0.4
- Correct CPE name [Bugz 19589]

* Tue Jan 20 2015 Tianyue Lan <tianyue.lan@oracle.com> - 7.1-1.0.3 
- Using ORACLE_SUPPORT_PRODUCT_VERSION [bug 20357349]

* Tue Jan 20 2015 Jacob Wang <Jacob.wang@oracle.com> - 7.1-1.0.2
- Updated ISO name in releasenotes.html for 7.1 Beta

* Thu Dec 25 2014 Jingdong Lu <jingdong.lu@oracle.com> - 7.1-1.0.1
- Updated for 7.1 Beta

* Thu Jul 10 2014 Tianyue Lan <tianyue.lan@oracle.com> - 7.0-1.0.3
- update releasenotes.html

* Tue Jun 03 2014 Tianyue Lan <tianyue.lan@oracle.com> - 7.0-1.0.2
- Added releasenotes.html [bug 18478767]
 
* Mon May 12 2014 Tianyue Lan <tianyue.lan@oracle.com> - 7.0-1.0.1
- Updated for GA

* Wed Feb 19 2014 Tianyue Lan <tianyue.lan@oracle.com> - 7.0-0.6.0.2
- Updated contents 
 
* Thu Feb 06 2014 Tianyue Lan <tianyue.lan@oracle.com> - 7.0-0.6.0.1 
- Initial version for OL7

